#bwquad1chest
from eventAPI import *
from APIUtils import *

bwquad1chest = 0

def fireEvent(e):
   global bwquad1chest
   bwquad1chest = getTag(e, "bwquad1chest")
   if (bwquad1chest == 1):
      return 1
   else:
      showMessage(e, ["Inside this room you find a large silver chest."])
   showMessage(e, ["The chest is unlocked. You open it and find an amulet, and a staff!"])
   giveItems(e, ["Smart Staff", "Amulet of Quickness"])
   bwquad1chest = 1
   setTag(e, "bwquad1chest", bwquad1chest)
   return 1
